> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elkapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 이미지-비디오 작업 상태 가져오기

> <ul><li>Kling 이미지-비디오 작업의 상태와 결과를 조회합니다.</li></ul>

<RequestExample>
  ```bash cURL theme={null} theme={null}
  curl --request GET \
    --url 'https://api.elkapi.com/kling/v1/videos/image2video/task_1234567890' \
    --header 'Authorization: Bearer <token>'
  ```

  ```python Python theme={null} theme={null}
  import requests

  url = "https://api.elkapi.com/kling/v1/videos/image2video/task_1234567890"
  headers = {
      "Authorization": "Bearer <token>"
  }

  response = requests.request("GET", url, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null} theme={null}
  const url = "https://api.elkapi.com/kling/v1/videos/image2video/task_1234567890";

  const headers = {
    "Authorization": "Bearer <token>"
  };

  const response = await fetch(url, { method: "GET", headers });
  console.log(await response.json());
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null} theme={null}
  {
    "task_id": "task_1234567890",
    "status": "completed",
    "url": "https://example.com/image.png",
    "format": "mp4",
    "metadata": {
      "duration": 5,
      "fps": 30,
      "width": 1280,
      "height": 720,
      "seed": 12345
    },
    "error": {
      "code": 1,
      "message": "message"
    }
  }
  ```

  ```json 404 theme={null} theme={null}
  {
    "error": {
      "message": "message",
      "type": "type",
      "param": "param",
      "code": "code"
    }
  }
  ```
</ResponseExample>

## Authorizations

<ParamField header="Authorization" type="string" required>
  모든 엔드포인트는 Bearer Token 인증이 필요합니다.

  요청 헤더에 추가하세요:

  ```
  Authorization: Bearer YOUR_API_KEY
  ```
</ParamField>

## Path Parameters

<ParamField path="task_id" type="string" required>
  작업 ID
</ParamField>

## Response

<ResponseField name="task_id" type="string">
  작업 ID

  예시: `abcd1234efgh`
</ResponseField>

<ResponseField name="status" type="string">
  작업 상태

  허용 값: `queued`, `in_progress`, `completed`, `failed`

  예시: `completed`
</ResponseField>

<ResponseField name="url" type="string">
  비디오 리소스 URL(성공 시)

  예시: `https://example.com/video.mp4`
</ResponseField>

<ResponseField name="format" type="string">
  비디오 형식

  예시: `mp4`
</ResponseField>

<ResponseField name="metadata" type="object">
  비디오 작업 메타데이터

  <ResponseField name="metadata.duration" type="number">
    실제 생성된 비디오 길이

    예시: `5`
  </ResponseField>

  <ResponseField name="metadata.fps" type="integer">
    실제 프레임레이트

    예시: `30`
  </ResponseField>

  <ResponseField name="metadata.width" type="integer">
    실제 너비

    예시: `1280`
  </ResponseField>

  <ResponseField name="metadata.height" type="integer">
    실제 높이

    예시: `720`
  </ResponseField>

  <ResponseField name="metadata.seed" type="integer">
    사용된 랜덤 시드

    예시: `20231234`
  </ResponseField>
</ResponseField>

<ResponseField name="error" type="object">
  비디오 작업 오류 정보

  <ResponseField name="error.code" type="integer">
    오류 코드
  </ResponseField>

  <ResponseField name="error.message" type="string">
    오류 메시지
  </ResponseField>
</ResponseField>
